<div class="share-pin">
  <div>
    <img ngSrc="../../../assets/share-icon-w.svg" width="90" height="90" alt="share did" />
  </div>
  <div>Share your PIN</div>
  <div class="pin-entry">
    <!--    <esspass-web-wallet-pin-code></esspass-web-wallet-pin-code>-->
    <ion-item>
      <ion-label position="stacked">PIN input</ion-label>
      <ion-input type="string" placeholder="4-digit pin code" [(ngModel)]="pinCode"></ion-input>
      <ion-note slot="helper">Enter a valid PIN code</ion-note>
      <ion-note slot="error">Invalid PIN code</ion-note>
    </ion-item>
  </div>
  <div>
    <span>
      <ion-button id="cancel" fill="outline" shape="round" (click)="clearPinCode()"
        >Cancel</ion-button
      >
      <ion-button shape="round" (click)="sendRequestForToken()">Confirm</ion-button>
    </span>
  </div>
</div>
